# Struct ethcore::transaction::PendingTransaction [−] [src]

    pub struct PendingTransaction {
        pub transaction: SignedTransaction,
        pub min_block: Option<BlockNumber>,
    }

Queued transaction with additional information.

## Fields

`transaction: SignedTransaction`

Signed transaction data.

`min_block: Option<BlockNumber>`

To be activated at this block. `None` for immediately.

## Methods

### `impl PendingTransaction`
[src]

#### `fn new(signed: SignedTransaction, min_block: Option<BlockNumber>) -> Self`

Create a new pending transaction from signed transaction.

## Trait Implementations

### `impl Debug for PendingTransaction`
[src]

#### `fn fmt(&self, __arg_0: &mut Formatter) -> Result`

Formats the value using the given formatter.

### `impl Clone for PendingTransaction`
[src]

#### `fn clone(&self) -> PendingTransaction`

Returns a copy of the value. Read more

#### `fn clone_from(&mut self, source: &Self)`
1.0.0

Performs copy-assignment from `source`. Read more

### `impl PartialEq for PendingTransaction`
[src]

#### `fn eq(&self, __arg_0: &PendingTransaction) -> bool`

This method tests for `self` and `other` values to be equal, and is used by `==`. Read more

#### `fn ne(&self, __arg_0: &PendingTransaction) -> bool`

This method tests for `!=`.

### `impl Eq for PendingTransaction`
[src]

### `impl From<SignedTransaction> for PendingTransaction`
[src]

#### `fn from(t: SignedTransaction) -> Self`

Performs the conversion.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)